Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui.wizard
Interface Wizard

All Known Implementing Classes:
  WizardDialog, WizardFrame, WizardPanel

public interface Wizard

Field Summary
`static int` | `CANCEL`
`static int` | `ERROR`
`static int` | `SUCCESS` Result codes

Method Summary
`void` | `done(int result)` Notifies wizard that all work done with apropriate result code.
`void` | `finish(boolean ready)` Notifies Wizard that all properties filled and user can start some processing.
`int` | `init(WizardTarget target)` Show modal wizard for the specified WizardTarget.
`void` | `setStepReady(boolean bReady)` Notifies Wizard that current step ready/not ready.

Field Detail

### SUCCESS

    public static final int SUCCESS

  Result codes

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### CANCEL

    public static final int CANCEL

See Also:
  Constant Field Values

Method Detail

### init

    public int init(WizardTarget target)

  Show modal wizard for the specified WizardTarget. Return result (OK or CANCEL).

### finish

    public void finish(boolean ready)

  Notifies Wizard that all properties filled and user can start some processing. And vice versa (some property(ies) not filled and processing cant't be started). (Usually Wizard should enable/disable "Finish" and/or "Done" buttons in this method).

### done

    public void done(int result)

  Notifies wizard that all work done with apropriate result code. (Usually wizard will ready to close if success and permit user to re-enter propeties on error).

### setStepReady

    public void setStepReady(boolean bReady)

  Notifies Wizard that current step ready/not ready. (Usually Wizard should enable "Next" button in this method).

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.